[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#557554: marked as done (libplist0: segfault while getting PLIST_DATE value)

Your message dated Sat, 28 Nov 2009 16:32:17 +0000
with message-id <E1NEQDZ-0005YA-A8@ries.debian.org>
and subject line Bug#557554: fixed in libplist 0.16-1
has caused the Debian Bug report #557554,
regarding libplist0: segfault while getting PLIST_DATE value
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

557554: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=557554
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: libplist0
Version: 0.13-2
Severity: important
Tags: patch


libplist crashes while retrieving the value of a PLIST_DATE type element;
this bug has been fixed upstream in commit




-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages libplist0 depends on:
ii  libc6                       2.10.1-7     GNU C Library: Shared libraries
ii  libglib2.0-0                2.22.2-2     The GLib library of C routines
ii  libxml2                     2.7.6.dfsg-1 GNOME XML library

libplist0 recommends no packages.

libplist0 suggests no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: libplist
Source-Version: 0.16-1

We believe that the bug you reported is fixed in the latest version of
libplist, which is due to be installed in the Debian FTP archive:

  to main/libp/libplist/libplist++-dev_0.16-1_amd64.deb
  to main/libp/libplist/libplist++0_0.16-1_amd64.deb
  to main/libp/libplist/libplist-dbg_0.16-1_amd64.deb
  to main/libp/libplist/libplist-dev_0.16-1_amd64.deb
  to main/libp/libplist/libplist-utils_0.16-1_amd64.deb
  to main/libp/libplist/libplist0_0.16-1_amd64.deb
  to main/libp/libplist/libplist_0.16-1.diff.gz
  to main/libp/libplist/libplist_0.16-1.dsc
  to main/libp/libplist/libplist_0.16.orig.tar.gz
  to main/libp/libplist/python-plist_0.16-1_amd64.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 557554@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Julien Lavergne <julien.lavergne@gmail.com> (supplier of updated libplist package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Sun, 22 Nov 2009 13:51:02 -0600
Source: libplist
Binary: libplist0 libplist++0 libplist-dev libplist++-dev libplist-dbg python-plist libplist-utils
Architecture: source amd64
Version: 0.16-1
Distribution: unstable
Urgency: low
Maintainer:  Julien Lavergne <julien.lavergne@gmail.com>
Changed-By: Julien Lavergne <julien.lavergne@gmail.com>
 libplist++-dev - Library for handling Apple binary and XML property lists
 libplist++0 - Library for handling Apple binary and XML property lists
 libplist-dbg - Library for handling Apple binary and XML property lists
 libplist-dev - Library for handling Apple binary and XML property lists
 libplist-utils - Apple property list converter
 libplist0  - Library for handling Apple binary and XML property lists
 python-plist - Library for handling Apple binary and XML property lists
Closes: 530590 548594 557554 557822
 libplist (0.16-1) unstable; urgency=low
   * Adopt the package. Thanks Bradley Smith for his work. (Closes: #548594)
   * New upstream release (Closes: #557554).
   * debian/control:
    - Add libplist++{0,-dev} binaries for the new library.
    - Bump Standards-Version to 3.8.3, no changes needed.
    - Build-depends on python-all-dev
    - Switch to python-support.
    - Add Conflicts/Replace for -dev packages, some headers moved to the new
    - Remove Vcs-* field.
    - Bump minimum version of swig to >= 1.3.36
    - Change name of the -dbg package, it contains debug symbols for the 2
    - Avoid dupplicated Descriptions field.
    - Add a more verbose extended description (Closes: #530590)
   * debian/*.install: Reorganize with the new library.
   * debian/python-plist.install
    - Replace site-packages by *-packages for python 2.6 migration.
      (Closes: #557822)
   * debian/rules & python-plist.preinst:
    - Switch to python-support and remove previous installed files by
   * debian/plist.1 & debian/libplist-utils.man: Add a man page for plist.
 36d8b7322c8a3e613fe7c92a170a87af4e020451 1205 libplist_0.16-1.dsc
 d286f3d92685a2d6e2a880cb8b76fb8f42d7c5c8 105801 libplist_0.16.orig.tar.gz
 2c2235e831b15bce000bf5a084056bba4d5792da 4143 libplist_0.16-1.diff.gz
 8df742b3c01713a60836e16daabd85be4088f8e0 19076 libplist0_0.16-1_amd64.deb
 0fd704112bd89c8b1b302b40b82a73d42bace1b0 24360 libplist++0_0.16-1_amd64.deb
 0eae0300790ab421e31e27efc28e8d0ab765b4b7 7580 libplist-dev_0.16-1_amd64.deb
 d90d5ab704d7cc5c9a382690242d71a043ebd109 9466 libplist++-dev_0.16-1_amd64.deb
 fee3cb7649af28bd0543541200a25d5dfcad300b 284292 libplist-dbg_0.16-1_amd64.deb
 bcea9c3ae823ce0e3ad4daf41ae6bd0cbb93fe71 83192 python-plist_0.16-1_amd64.deb
 abb7a187640fcf326cb35c0e32d37715c6bbe91b 7254 libplist-utils_0.16-1_amd64.deb
 54dcac6f8748264ed45908d7ffb03d8bc6ecf1e2f010aa046d3c68aab9eea173 1205 libplist_0.16-1.dsc
 73491e79a3a04ecb2c8e9522280fab72d9bb205c0e35523182b0316c371e717c 105801 libplist_0.16.orig.tar.gz
 1bf9be0eadacdbfb1634204f6a7e7b54ce4cc4838110c51b8c57b0bfda6c1b92 4143 libplist_0.16-1.diff.gz
 8ecb0f6da1b748025db196807c9c21763f68548a7be3fddcd52a2b878be80e16 19076 libplist0_0.16-1_amd64.deb
 4d2727ff1227e4e5730e95d373c3720c027a9cf45c63daa356b1f903ddec41c4 24360 libplist++0_0.16-1_amd64.deb
 3853a2922c0e1c16365719f91a23008435c22b3f8cb9f5b407c84d546dcf0e3d 7580 libplist-dev_0.16-1_amd64.deb
 cf59e492ee3ffaa7452574a30a0ed40c93e73fdc50f458820d7292ca86d9ce3a 9466 libplist++-dev_0.16-1_amd64.deb
 eb2fb5d003f54af85a42d8db278715c074f0a40a08df3f0cd0188cff2a271424 284292 libplist-dbg_0.16-1_amd64.deb
 d53a52b505d2198dc040a8ee43e53fa7d3617836f3e1dc3ff173509fe1499ec8 83192 python-plist_0.16-1_amd64.deb
 b4ae7ecffbd68f0e0d9dcff2ef10e7926a112c26a39cca4b88d684a8632cca04 7254 libplist-utils_0.16-1_amd64.deb
 9c3cb1e4371cf2ff55e8a182bbdf6420 1205 libs optional libplist_0.16-1.dsc
 b556866b6ae24609a3e402588291a38e 105801 libs optional libplist_0.16.orig.tar.gz
 315d4860c6eb127f6aedaa3815c48137 4143 libs optional libplist_0.16-1.diff.gz
 180361e37a8c0ad77ba282645d119c7e 19076 libs optional libplist0_0.16-1_amd64.deb
 a17e1c0126648186ada2e2e6b54fabec 24360 libs optional libplist++0_0.16-1_amd64.deb
 130acba90c1e3b519af6cd512c1f5bf8 7580 libdevel optional libplist-dev_0.16-1_amd64.deb
 0b508d77b3bc8036fee21b8f19f0bd42 9466 libdevel optional libplist++-dev_0.16-1_amd64.deb
 523c97720118c762ef93b830b89e16bd 284292 debug extra libplist-dbg_0.16-1_amd64.deb
 ae7964884ab7d8e0eaf1763262e8af54 83192 python optional python-plist_0.16-1_amd64.deb
 2dc3f13ff795145ce7070ec4b8be4b00 7254 utils optional libplist-utils_0.16-1_amd64.deb

Version: GnuPG v1.4.10 (GNU/Linux)


--- End Message ---

Reply to: